/*
Theme Name: TRI-PUNKT Solutions
Description: Custom child theme for Avada theme
Author: TRI-PUNKT Solutions
Author URI: https://tri-punkt.de
Template: Avada
Version: 1.0.0
Text Domain: Avada
*/

html {
    scroll-padding-top: 150px;
}

@media (min-width:1051px) {
    .tp_hover.tp_hoverBlue .fusion-column-wrapper:hover{
        background-image: -webkit-gradient(linear, left bottom, left top, color-stop(50%, rgb(47, 149, 202)), color-stop(50%, #fff));
        background-image: -o-linear-gradient(bottom, rgb(47, 149, 202) 50%, #fff 50%);
        background-image: linear-gradient(to top, rgb(47, 149, 202) 50%, #fff 50%);
    }
    .tp_hover.tp_hoverRed .fusion-column-wrapper:hover{
        background-image: -webkit-gradient(linear, left bottom, left top, color-stop(50%, rgb(254, 4, 71)), color-stop(50%, #fff));
        background-image: -o-linear-gradient(bottom, rgb(254, 4, 71) 50%, #fff 50%);
        background-image: linear-gradient(to top, rgb(254, 4, 71) 50%, #fff 50%);
    }
    .tp_hover.tp_hoverYellow .fusion-column-wrapper:hover{
        background-image: -webkit-gradient(linear, left bottom, left top, color-stop(50%, rgb(255, 196, 0)), color-stop(50%, #fff));
        background-image: -o-linear-gradient(bottom, rgb(255, 196, 0) 50%, #fff 50%);
        background-image: linear-gradient(to top, rgb(255, 196, 0) 50%, #fff 50%);
    }
    .tp_hover.tp_hoverBlue .fusion-column-wrapper{
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(50%, #fff), color-stop(50%, rgb(47, 149, 202)));
        background-image: -o-linear-gradient(top, #fff 50%, rgb(47, 149, 202) 50%);
        background-image: linear-gradient(to bottom, #fff 50%, rgb(47, 149, 202) 50%);
    }
    .tp_hover.tp_hoverRed .fusion-column-wrapper{
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(50%, #fff), color-stop(50%, rgb(254, 4, 71)));
        background-image: -o-linear-gradient(top, #fff 50%, rgb(254, 4, 71) 50%);
        background-image: linear-gradient(to bottom, #fff 50%, rgb(254, 4, 71) 50%);
    }
    .tp_hover.tp_hoverYellow .fusion-column-wrapper{
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(50%, #fff), color-stop(50%, rgb(255, 196, 0)));
        background-image: -o-linear-gradient(top, #fff 50%, rgb(255, 196, 0) 50%);
        background-image: linear-gradient(to bottom, #fff 50%, rgb(255, 196, 0) 50%);
    }

    .tp_hover .fusion-column-wrapper{
        background-size: 100% 200% !important;
        -webkit-transition: background-position .5s;
        -o-transition: background-position .5s;
        transition: background-position .5s;
        background-position: -100% 0  !important;
        -webkit-transition: .3s;
        -o-transition: .3s;
        transition: .3s;
    }
    .tp_hover .fusion-column-wrapper:hover, .tp_hover .fusion-column-wrapper:hover strong, .tp_hover .fusion-column-wrapper:hover .fusion-text a {
        background-size: 100% 200% !important;
        -webkit-transition: background-position 1s;
        -webkit-transition: background-position .5s;
        -o-transition: background-position .5s;
        transition: background-position .5s;
        background-position: 0 100%  !important;
    }
    .tp_hover .fusion-column-wrapper:hover, .tp_hover .fusion-column-wrapper:hover strong, .tp_hover .fusion-column-wrapper:hover .fusion-text a, .tp_hover .fusion-column-wrapper:hover .fusion-separator.sep-single.sep-solid {
        color: #fff !important;
        border-color: #fff !important;
        -webkit-transition: .3s;
        -o-transition: .3s;
        transition: .3s;
    }
}

/* AVADA BUILDER */
@media (max-width: 1024px) {
    .fusion-content-boxes.cta-produkt-beratung .fusion-column,
    .fusion-content-boxes.cta-produkt-beratung .fusion-column .heading-with-icon {
        margin: 0 !important;
    }
    .fusion-content-boxes.cta-produkt-beratung .fusion-column:nth-child(2) {
        margin: 0 0 30px !important;
    }
}

.fusion-content-boxes.content-boxes-faq .heading {
    margin-bottom: 0 !important;
    margin-top: 0 !important;
}
.fusion-content-boxes.content-boxes-faq .content-container {
    margin-top: 0;
    margin-bottom: 0;
    line-height: normal;
}

.post-content .cta-rosa-bg p {
    margin-bottom: 0;
}
.cta-rosa-bg ul {
    margin: 0;
    padding-left: 15px;
}

.post-content .modal-schachtel p {
    margin: 5px 0;
    line-height: 1.3em;
}

a.fs-24 span {
    font-size: 24px;
}

a#button-druckanfrage {
    font-size: 20px;
    line-height: 30px;
}
a#button-druckanfrage:hover {
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px !important;
}

/* PLUGIN - GRAVITY FORMS */
.gform_wrapper.gravity-theme .gform_fields {
    grid-row-gap: 30px;
}
.gform_wrapper.gravity-theme .gsection {
    padding-bottom: 0;
}
.gform_wrapper.gravity-theme .gsection h3 {
    margin-bottom: 0;
    font-size: 20px;
}
.gform_wrapper.gravity-theme .field_sublabel_above .gfield_description,
.gform_wrapper.gravity-theme .top_label .gsection_description {
    margin-top: 0;
    padding-top: 0;
}
.gform_wrapper.gravity-theme .gsection hr {
    margin: 60px 0 40px;
    border: none;
    border-top: 1px solid #ccc
}

.gform_wrapper.gravity-theme .field_description_below .gfield_consent_description,
.gform_wrapper.gravity-theme .gfield_consent_description {
    border: none;
    padding: 10px 0 0;
}

.gform_wrapper.gravity-theme .gform_footer, .gform_wrapper.gravity-theme .gform_page_footer {
    margin-top: 30px;
}

body .gform_wrapper .gform_footer input[type=submit] {
    background: #e62f4c;
    border: none;
    color: #fff;
    border-radius: 50px;
    font-family: var(--h2_typography-font-family);
    font-weight: var(--h2_typography-font-weight);
    font-size: 1.6rem;
    padding: 18px 24px;
}
body .gform_wrapper .gform_footer input[type=submit]:hover {
    background: #fe0747;
}

a#gform_button,
button.gpnf-add-entry,
a#anfragebutton {
    background: #e62f4c;
    padding: 10px 20px;
    border-radius: 25px;
    color: #fff;
    font-family: var(--h2_typography-font-family);
    font-weight: var(--h2_typography-font-weight);
    font-size: 16px;
    line-height: normal;
    border: none;
}
a#gform_button:hover,
button.gpnf-add-entry:hover {
    background: #fe0747;
    cursor: pointer;
}
button.gpnf-add-entry {
    margin-top: 30px;
}

/* PLUGINS - GRAVITY WIZ - NESTED FORMS */
.gform_wrapper .top_label .gfield_label,
.gform_wrapper .gfield {
    color: #222;
}
.gpnf-nested-entries th {
    background: #fdf4f6;
    color: #222;
}
.gpnf-no-entries td span {
    text-transform: none;
}

.tingle-modal {
    z-index: 10000;
}
.gpnf-modal-header {
    text-transform: uppercase;
}

/* PLUGINS - GRAVITY SECTION TABS */
.gravity-forms-section-tabs-head {
    display: flex;
    flex-wrap: wrap;
    grid-column: 1 / -1;
    background: #fdf4f6;
    padding: 20px 25px;
    min-width: 0;
    gap: 15px;
    margin-top: 0 !important;
    border-radius: 10px;
}
.gravity_forms_section_tabs_enabled_wrapper .gravity-forms-section-tabs-head a {
    background: #fff;
    padding: 10px 20px;
    border-radius: 50px;
}
.gravity-forms-section-tabs-head a:hover,
.gravity_forms_section_tabs_enabled_wrapper .gravity-forms-section-tabs-head a.current {
    background: #e62f4c;
    border: 1px solid #e62f4c;
    color: #fff;
}
.gravity-forms-section-tabs-head a:empty {
    display: none;
}
.gfield--type-section.tab-all.gfield_visibility_hidden {
    display: block !important;
    position: relative !important;
    left: 0 !important;
    visibility: visible !important;
}

.tab-all .admin-hidden-markup {
    display: none;
}

.gform_wrapper.gravity-theme .gsection {
    border-bottom: none;
}